dojo.provide("com.ibm.pb.debug.liveTracing");

(function(){
	
	var arrayToString = function(arr) {
		var str = "";
		while(arr.length > 0) {
			str += "'" + arr.shift() + "'";
			if(arr.length > 0) {
				str += ",";
			}
		}
		return str;
	};
	
	var ltrace = com.ibm.pb.debug.liveTracing = {
		traceConfigCookieName: "digest.ignore.debug.traceString",
		useFirebugLoggerCookieName: "digest.ignore.debug.useFirebugLogger",
		
		setTracing: function(traceSetting, useFirebugLogger) {
			// supports two formats:
			// string:   "happy,sad,glad.smiling,glad.grinning"
			// array:	["happy","sad","glad.smiling","glad.grinning"]
			if(traceSetting) {
				if(dojo.isString(traceSetting)) {
					var parts = traceSetting.split(",");
					traceSetting = arrayToString(parts);
				}
				else if(dojo.isArray(traceSetting)) {
					traceSetting = arrayToString(traceSetting);
				}
				dojo.cookie(ltrace.traceConfigCookieName, "[" + traceSetting + "]", {path: "/"});
			}
			if(useFirebugLogger !== undefined) {
				dojo.cookie(ltrace.useFirebugLoggerCookieName, useFirebugLogger == true, {path: "/"});
			}
		},
		clearTracing: function() {
			dojo.cookie(ltrace.traceConfigCookieName, null, {path: "/", expires: -1});
		},
		showEffectiveTracing: function() {
			// what is actually being used
			alert(ibmConfig.traceConfig);
		},
		showConfiguredTracing: function() {
			// what is set in the cookie
			alert(dojo.cookie(ltrace.traceConfigCookieName));
		}
	}
})();
