dojo.provide("com.ibm.pb.layout.filters.FreeFormContainerStyleFilter");
dojo.require("com.ibm.pb.layout.filters.ContainerStyleFilter");
dojo.declare("com.ibm.pb.layout.filters.FreeFormContainerStyleFilter", [com.ibm.pb.layout.filters.ContainerStyleFilter], {
	// corresponds to a free form container type
	
    _filterStyle: function(layoutNode, node, oldStyle, newStyle) {
		if (this._isControl(layoutNode)) {
			// resize widget
			var maxWidth = dojo.contentBox(node.parentNode).w - dojo.style(node, "left");
			// make sure the widget is not too wide (ie extends beyond its container)
			if (parseInt(newStyle.width) > maxWidth) {
				newStyle.width = maxWidth + "px";
			}
			// make sure the widget is not too tall
			if (parseInt(newStyle.height) > this.widgetMaxHeight) {
				newStyle.height = this.widgetMaxHeight + "px";
			}
			// make sure the widget is not too thin
			if (parseInt(newStyle.width) < this.widgetMinWidth) {
				newStyle.width = this.widgetMinWidth + "px";
			}
			// make sure the widget is not too short
			if (parseInt(newStyle.height) < this.widgetMinHeight) {
				newStyle.height = this.widgetMinHeight + "px";
			}
		} else if (this._isContainer(layoutNode)) {
			// resizer container
			if(parseInt(newStyle.width) < this.containerMinWidth){
				newStyle.width = this.containerMinWidth+"%";
			}
		}
	},
	_isAgree: function(layoutNode, node, oldStyle, newStyle) {
		// summary: return true if the new style is allowed, false otherwise
		if (this._isContainer(layoutNode)) {
			if(parseInt(newStyle.width) < this.containerMinWidth){
				return false;
			}
		}
		return true;
	}
});
