/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.declare("com.ibm.mm.builder.systemwidget.StatusBarLogHandlerImpl", com.ibm.mashups.enabler.logging.LogHandler, {
	
	LOGGER: com.ibm.mashups.enabler.logging.Logger.getLogger(this.declaredClass),
	// the ID of this handler
	handlerID: "com.ibm.mm.builder.systemwidget.StatusBarLogHandler",
	// the lowest loglevel passed to this should be INFO
	logLevel: com.ibm.mashups.enabler.logging.LogLevel.INFO,
	
	constructor: function() {
		this.LOGGER.addHandler(this);
	},
	
	getHandlerID: function() {
		return this.handlerID;
	},
	
	getLogLevel: function() {
		return this.logLevel;
	},
	
    log: function(loggerName, logLevel, method, message){
        //if page in view mode,and log.type is not error, skip the message
        if (logLevel < com.ibm.mashups.enabler.logging.LogLevel.INFO) { return; }
		
        message = (message || method) + "";
        if (!message) { return; }
			
        switch (logLevel) {
            case com.ibm.mashups.enabler.logging.LogLevel.INFO:
				var statusMessage = new com.ibm.widgets.StatusMessage("info", message, "Method: "+method+" - Message: "+message);
				dojo.publish("/message/status",[{message: statusMessage, uid: 'ibmStatusBox'}]);
                break;
            case com.ibm.mashups.enabler.logging.LogLevel.WARNING:
				var statusMessage = new com.ibm.widgets.StatusMessage("warning", message, "Method: "+method+" - Message: "+message);
				dojo.publish("/message/status",[{message: statusMessage, uid: 'ibmStatusBox'}]);
                break;
            case com.ibm.mashups.enabler.logging.LogLevel.SEVERE:
				var statusMessage = new com.ibm.widgets.StatusMessage("error", message, "Method: "+method+" - Message: "+message);
				dojo.publish("/message/status",[{message: statusMessage, uid: 'ibmStatusBox'}]);
                break;
		}
	}
});
//already instantiated in theme.html
//com.ibm.mm.builder.systemwidget.StatusBarHandler = new com.ibm.mm.builder.systemwidget.StatusBarLogHandlerImpl();
