/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
/**
 * @author Jarod (zhangpy@cn.ibm.com)
 * @author Marshall (shiwcsdl@cn.ibm.com)
 */
dojo.declare("com.ibm.mm.builder.renameWidget", com.ibm.mm.builder.iwidget.SystemTemplatedWidget, {

    hide: function() {
        this.eventService.broadcastEvent("com.ibm.mashups.builder.closeMashupDialog", this.iContext.widgetId);
    },
    
	clearWidgetRenameError: function() {
		this.widgetRenameError.style.display="none";	
	},
		
	postCreate: function() {	
		dojo.connect(this.widgetName, "onkeyup", this,
		    function(){				
			    if (this.widgetName.value === "") {
				    this.widgetRenameError.style.display = "block";
				}
				else {
					this.widgetRenameError.style.display="none";
				}
			}
		);
	},
	    
    updateProperty: function(widgetId) {
        this.widgetId = widgetId;
        var layoutControl = com.ibm.mm.builder.utils.pageUtil.getLayoutControlByWidgetId(this.widgetId);
        this.widgetName.value = com.ibm.mm.builder.utils.iwidgetUtil.getWidgetTitleCSA2(layoutControl);
        if (this.messageControl) {
            this.messageControl.hide();
        }
    },
    
    save: function() {
        var layoutControl = com.ibm.mm.builder.utils.pageUtil.getLayoutControlByWidgetId(this.widgetId);
        // def 20550: prevent a empty string as a widget name
        
        if (this.widgetName.value === "") {
			this.widgetRenameError.style.display = "block";
			return;
		}
		else {        
            layoutControl.setTitle(this.widgetName.value, dojo.locale);
            // we need to auto commit in anything else besides page edit mode
            if (com.ibm.mashups.builder.model.Factory.getRuntimeModel().getCurrentPage().getPageMode() != "edit") {
                var navigationModel = com.ibm.mashups.enabler.navigation.Factory.getNavigationModel();
                navigationModel.commit().start();
            }
        }

        this.eventService.broadcastEvent("com.ibm.mashups.builder.layoutRefresh", layoutControl.getID());
        this.hide();
    },
    
    onRenameWidget: function(iEvent) {
    	this.clearWidgetRenameError();
        this.updateProperty(iEvent.payload);
    }
});
