/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.ac.ResourceAccessControlModel");

dojo.require("com.ibm.mashups.enabler.ac.AccessControlModel");
dojo.require("com.ibm.mashups.enabler.ac.RoleType");
//<INTERFACE>
/**
 * Interface for a access control model with additional features for resource handling.
 * @ibm-api
 * @ibm-module AccessControlModel
 */
dojo.declare("com.ibm.mashups.enabler.ac.ResourceAccessControlModel", [com.ibm.mashups.enabler.ac.AccessControlModel], {
    /**
     * Returns if the inheritance block is set for the specified role type.
     * @param {com.ibm.mashups.enabler.ac.RoleType} roletype the role type for which to retrieve the inheritance block
     * @type boolean
     */
    isInheritanceBlock: function(roletype){
    },
    /**
     * Sets if the inheritance block is set or not for the specified role type.
     * @param {com.ibm.mashups.enabler.ac.RoleType} roletype the role type for which to set the inheritance block
     * @param {boolean} value <code>true</code> to set the inheritance block, or
     * <code>false</code> to unset the inheritance block.
     * @type void
     */
    setInheritanceBlock: function(roletype, value){
    }
});
//</INTERFACE>
dojo.require("com.ibm.mm.enabler.ac.ResourceAccessControlModelImpl");
