/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.content.ServerRuntimeContentProvider");

dojo.require("com.ibm.mashups.enabler.content.ServerRuntimeContent");

/**
 * Interface for a provider of server runtime content.
 *
 * @since 2.4
 *
 * @ibm-api
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.content.ServerRuntimeContentProvider", null, {

    /**
    * Returns the runtime content of this runtime content provider.
    * @return {com.ibm.mashups.enabler.content.ServerRuntimeContent} The runtime content,
    * never <code>null</code>.
    */
    getServerRuntimeContent: function(){
        throw new Error('Unimplemented API: com.ibm.mashups.enabler.content.ServerRuntimeContentProvider.getServerRuntimeContent');
    },
    
    /**
     * Primes the server runtime content
     * 
     * @ibm-spi
     * 
     * @param {Object} content The content to prime (String) or the dom node (DOMNode) which contains the content
     * @return {void}
     */
    primeServerRuntimeContent: function(content) {
        throw new Error('Unimplemented SPI: com.ibm.mashups.enabler.content.ServerRuntimeContentProvider.primeServerRuntimeContent');
    }
});
