/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.layout.LayoutFragment");

dojo.require("com.ibm.mashups.enabler.layout.LayoutNode");

/**
 * Interface that represents a layout fragment
 *
 * @deprecated use com.ibm.mashups.enabler.model.LayoutContainer and com.ibm.mashups.enabler.model.LayoutControl
 *
 * @ibm-api
 * @ibm-module LayoutModel
 */
dojo.declare("com.ibm.mashups.enabler.layout.LayoutFragment", [com.ibm.mashups.enabler.layout.LayoutNode], {
    /**
     * Returns the content of the fragment as a string.
     * @return {String} the fragment content. Never <code>null</code>
     */
    getFragment: function(){
    },
    
    /**
     * Sets the content of the fragment. Any previously set content is replaced.
     * @param {String} content content to set. Must not be <code>null</code>.
     * @type void
     */
    setFragment: function(content){
    },
    
    /**
     * Confirms whether setting the fragment is possible.
     * @param {String} content content to set; must not be <code>null</code>
     * @return {Boolean} true if the value can be set, otherwise false.
     */
    confirmSetFragment: function(content){
    }
});

