/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.model.Model");

//<INTERFACE>
dojo.require("com.ibm.mashups.enabler.strategy.Strategy");

/**
 * Base class for all models
 * 
 * @ibm-api
 * @ibm-module Base
 */
dojo.declare("com.ibm.mashups.enabler.model.Model", null, {
    /**
     * Sets the specified array of strategies or in case none has been
     * defined falls back to the default strategy
     * @param {com.ibm.mashups.enabler.strategy.Strategy[]}  strategy    array of strategies to set;
     *                                  may be <code>null</code>
     * @type void
     */
    setStrategy : function(strategy) {
    },

    /**
     * Returns the array of strategies which are in use
     * @return {com.ibm.mashups.enabler.strategy.Strategy[]} array of strategies in use, <code>null</code> if no
     *                      strategies are in use
     */
    getStrategies : function() {
    },

    /**
     * Returns the specified strategy
     * @param {strategy} strategy class name or array index of strategy
     * @return {com.ibm.mashups.enabler.strategy.Strategy} strategy in use, <code>null</code> if no
     * strategy with the specified type is in use
     * @ibm-spi
     */
    getStrategy : function(strategy) {
    },

    /**
     * Adds a strategy to the strategies array
     * @param {com.ibm.mashups.enabler.strategy.Strategy} strategy strategy to add; must not be <code>null</code>
     * @return {int} index where the strategy was added in the strategies array
     */
    addStrategy : function(strategy) {
    },

    /**
     * Removes the specified strategy
     * @param {strategy} strategy class name or array index of the strategy; must not be
     * <code>null</code>
     * @type void
     */
    removeStrategy : function(strategy) {
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.model.ModelImpl");
