/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.model.TemplateModel");

dojo.require("com.ibm.mashups.enabler.Deferred");
dojo.require("com.ibm.mashups.enabler.ListModelController");
dojo.require("com.ibm.mashups.enabler.template.TemplateNode");
dojo.require("com.ibm.mashups.enabler.SubmittableFormProvider");
dojo.require("com.ibm.mashups.enabler.SubmittableForm");
//<INTERFACE>
/**
 * Interface for a template model.
 * @ibm-api
 * @ibm-module TemplateModel
 */
dojo.declare("com.ibm.mashups.enabler.model.TemplateModel", [com.ibm.mashups.enabler.ListModelController, com.ibm.mashups.enabler.Invalidatable, com.ibm.mashups.enabler.SubmittableFormProvider], {
    /**
     * Commits the modifications applied to this model and all dependent models.<br>
     * @return {DeferredOperation} a deferred object used to start this operation. 
     * The return value when executed through the deferred object is <code>null</null>
     */
    commit: function(){
    },
    
    /**
     * Confirms whether exporting the template is possible.
     * @param{com.ibm.mashups.enabler.template.TemplateNode} template template object or template uri (without any scope).
     * Must not be <code>null</code>
     * @return {Boolean} <code>true</code> if the node can be exported, <code>false</code> otherwise.
     */
    confirmExport: function(template){
    },
    
    /**
     * Returns a SubmittableForm object associated with the given id to import a template.
     * Same as <code>getSubmittableForm</code>
     * @param {String} id the id of the html form this object is associated with
     * @return {com.ibm.mashups.enabler.SubmittableForm} SubmittableForm object, maybe <code>null</code>
     */
    getSubmittableImportForm: function(id){
    }
});
//</INTERFACE>

dojo.require("com.ibm.mm.enabler.template.TemplateModelImpl");
