/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.model.state.LayoutContainerAccessor");

//<INTERFACE>
dojo.require("com.ibm.mashups.enabler.model.state.Accessor");
/**
 * Interface representing a LayoutContainerAccessor. Reserved layout container paramers:
 * "w"  : the reserved parameter for layout container width.
 * @ibm-spi
 * @ibm-module Base
 */
dojo.declare( "com.ibm.mashups.enabler.model.state.LayoutContainerAccessor", [com.ibm.mashups.enabler.model.state.Accessor], {
    /**
      * @private
      */
    constructor:function (navStateModel, componentId, pageId) {
    },
	/**
     * Returns the id of the layout container
     * @type String
     * @return {String} ID of required layout container
     */
	getID:function() {
	},
	/**
     * Returns the size of the required layout container 
     * @type Object
     * @return {Object} A JSON object representing the layout container width, for example: <code>{w:"70%"}</code>
     */
	getSize:function() {
	},
	/**
     * Set the size of a layout container
     * @param {String} width The width of the layout container 
     * @type LayoutContainerAccessor
     * @return{LayoutContainerAccessor} return an handle of LayoutContainerAccessor upon successful, <code>null</code> upon failure.
     */
	setSize:function(width) {
	},
	/**
     * Confirms whether it's possible or not to set the layout container to the new width and height
     * @param {String} width The width of the layout container 
     * @type Boolean
     * @return{Boolean} return true if it's possible to set layout container to the new width and height
     */
	confirmSetSize:function(width) {
		return true;
	}

});
//</INTERFACE>
dojo.require("com.ibm.mm.enabler.model.state.LayoutContainerAccessorImpl");

