/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide( "com.ibm.mashups.enabler.model.state.UrlGenerator" );

//<INTERFACE>
/**
 * Interface representing an UrlGenerator.
 * @ibm-spi
 * @ibm-module Base
 */
dojo.declare( "com.ibm.mashups.enabler.model.state.UrlGenerator", null, {
    /**
     * Returns the URL based on navigation state model and additional parameters.
     * Sample parameter: {nohash:"true"}
     * if "nohash" is set to "true",the returned URL will not contain state in hash.
     * 
     * @param {com.ibm.mashups.enabler.model.state.NavigationStateModel} navStateModel NavigationStateModel to generate URL
     * @param {Function} callback callback funtion is invoked when URL is generated, URL will be passed into callback
     * @param {JSON} params additional parameter in json format
     * @type String
     * @return {String} The URL that's generated based on navigationStateModel
     * @deprecated Use getURL instead.
     */
	getUrl:function(navStateModel,callback,params) {
	},
    /**
     * Returns the URL based on navigation state model and additional parameters.
     * Sample parameter: {nohash:"true"}
     * if "nohash" is set to "true",the returned URL will not contain state in hash.
     * 
     * @param {com.ibm.mashups.enabler.model.state.NavigationStateModel} navStateModel NavigationStateModel to generate URL
     * @param {Function} callback callback funtion is invoked when URL is generated, URL will be passed into callback
     * @param {JSON} params additional parameter in json format
     * @type String
     * @return {String} The URL that's generated based on navigationStateModel
     */
	getURL:function(navStateModel,callback,params) {
	}
});	
//</INTERFACE>
dojo.require("com.ibm.mm.enabler.model.state.UrlGeneratorImpl");
