/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.persistence.Factory");

dojo.require("com.ibm.mashups.enabler.persistence.NavigationModelPersistenceProvider");
dojo.require("com.ibm.mashups.enabler.persistence.SpaceModelPersistenceProvider");
dojo.require("com.ibm.mashups.enabler.persistence.Constants");

//<INTERFACE>
/**
 * Persistence provider factory.
 *
 * Please note that this factory creates only one instance of the persistence provider
 * and returns this instance every time the respective get-method is called.
 *
 * @ibm-spi
 * @ibm-module CoreModel
 *
 * @since 3.0.0.1
 */
dojo.declare("com.ibm.mashups.enabler.persistence.Factory", null, {
    /**
     * Returns the model persistence provider.<br>
     * <b>Example:</b><br>
     * &nbsp;&nbsp;<tt>var type = com.ibm.mashups.enabler.persistence.Constants.NAVIGATION_MODEL_PERSISTENCE_PROVIDER;</tt><br>
     * &nbsp;&nbsp;<tt>var provider = com.ibm.mashups.enabler.persistence.Factory.getModelPersistenceProvider(type);</tt><br>
     * @param {com.ibm.mashups.enabler.persistence.Constants} type type of the persistence provider
     *
     * @return {com.ibm.mashups.enabler.persistence.ModelPersistenceProvider} model persistence provider of the specified type, never <code>null</code>
     */
    getModelPersistenceProvider: function(type){
    }
});
//</INTERFACE>
//dojo.require("com.ibm.mm.enabler.persistence.FactoryImpl");
