/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.runtime.skin.FilterControl");

/**
 * Control class used for StyleFilter's <code>onChangingStyle()</code> method to disagree on 
 * pending changes
 *
 * @ibm-api
 * @ibm-module CoreModel
 * @see StyleFilter
 * @since 2.4
 */
dojo.declare( "com.ibm.mashups.enabler.runtime.skin.FilterControl", null, {
	/**
	 * Constructor
	 * @private
	 */
	constructor: function() {
		this.disagree = false;
	},
	
	/**
	 * Sets this control to disagree, meaning the style change should not be set.
	 * @type void
	 */
	setDisagree: function() {
		this.disagree = true;
	},
	
	/**
	 * Returns the disagree flag
	 * @return {Boolean} <code>true</code> if the disagreeable flag is set,
	 *                   <code>false</code> otherwise
	 */
	isDisagree: function() {
		return this.disagree;
	}
});
