/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.space.SpaceLocator");

dojo.require("com.ibm.mashups.enabler.Locator");
dojo.require("com.ibm.mashups.enabler.Deferred");
dojo.require("com.ibm.mashups.enabler.DeferredIterator");
// we must not include NavigationNode here as it pulls in too many dependencies
//dojo.require("com.ibm.mashups.enabler.navigation.NavigationNode");

/**
 * This locator interface allows searching on the space model
 * @ibm-api
 * @ibm-module SpaceModel
 */
dojo.declare("com.ibm.mashups.enabler.space.SpaceLocator", [com.ibm.mashups.enabler.Locator], {
    /**
     * Returns a Deferred object to obtain the space node, which contains the given navigation node
     * @param {com.ibm.mashups.enabler.navigation.NavigationNode} navigationNode the NavigationNode object to find the space for. Must not be <code>null</code>.
     * @return {com.ibm.mashups.enabler.Deferred} a deferred object used to start this operation, never <code>null</code>.
     * The return value when executed through the deferred object is
     * a space node for the given navigation node or <code>null</code> if no space contains this page
     * @see com.ibm.mashups.enabler.space.SpaceNode
     */
    findSpaceByNavigation: function(navigationNode){
    },
    
    /**
     * Returns an iterator containing all favorite spaces of the list.
     *
     * @return {com.ibm.mashups.enabler.DeferredIterator} a deferred iterator, never <code>null</code>
     */
    findFavorites: function(){
    }
});
