/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.strategy.HiddenMetaDataLoadingStrategy");

dojo.require("com.ibm.mashups.enabler.strategy.Strategy");

/**
 * Interface to control, if hidden meta data are loaded with the MetaData
 * interface or not.<br>
 *
 * @since 2.4
 *
 * @ibm-api
 * @ibm-module Base
 */
dojo.declare("com.ibm.mashups.enabler.strategy.HiddenMetaDataLoadingStrategy", com.ibm.mashups.enabler.strategy.Strategy, {
    /**
     * @param {String[]} names Array of hidden meta data names to load;
     * must not be <code>null</code>
     */
    constructor: function(names){
        this.names = names;
    },
    
    /**
     * Indicates hidden meta data to load.
     * @return {Boolean} <code>true</code> if to expose hidden meta data
     */
    getHiddenMetaDataToLoad: function(){
        return this.names;
    }
});
