/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.strategy.NavigationUpdateStrategy");

dojo.require("com.ibm.mashups.enabler.strategy.Strategy");

/**
 * Interface that defines the value of the update parameter used for pages and contents
 * @ibm-spi
 * @ibm-module Base
 * @since 3.0.0.2
 */
dojo.declare("com.ibm.mashups.enabler.strategy.NavigationUpdateStrategy", com.ibm.mashups.enabler.strategy.Strategy, {
    /**
     * @param {String} value value of the URL parameter 'update'; must not be <code>null</code>.
     */
    constructor: function(value){
        this._URLUpdateParameterValue = value;
    },
    
    /**
     * Returns the value of the URL parameter 'update' to use for updating pages and contents.
     * @type String
     * @return value
     */
    getURLUpdateParameterValue: function(){
        return this._URLUpdateParameterValue;
    }
});
