/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.strategy.WidgetWindowLoadAheadStrategy");

dojo.require("com.ibm.mashups.enabler.strategy.Strategy");

/**
 * Interface that defines a load ahead strategy for loading multiple 
 * widget window nodes in a batch operation.
 * When applied to it will load the given windows as a batch request from the backend.
 * @ibm-api
 * @ibm-module CoreModel
 */
dojo.declare("com.ibm.mashups.enabler.strategy.WidgetWindowLoadAheadStrategy", com.ibm.mashups.enabler.strategy.Strategy, {
    /**
     * @param {Map} windowMap a map defining the widget window ids. the key and the value must be the window id.
     * Must not be <code>null</code>.
     */
    constructor: function(windowMap){
        this.windowMap = windowMap;
    },
    
    /**
     * Returns the number of elements to load ahead
     * @type int
     * @return number of elements to load ahead
     */
    getWidgetWindowMap: function(){
        return this.windowMap;
    }
});
