/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.theme.Skin");

dojo.require("com.ibm.mashups.enabler.Identifiable");
dojo.require("com.ibm.mashups.enabler.Localized");
dojo.require("com.ibm.mashups.enabler.DefaultLocalized");
dojo.require("com.ibm.mashups.enabler.MetaData");

/**
 * Interface that represents a skin; used in the SkinModel
 * @ibm-api
 * @ibm-module ThemeModel
 */
dojo.declare("com.ibm.mashups.enabler.theme.Skin", [com.ibm.mashups.enabler.Identifiable, com.ibm.mashups.enabler.Localized, com.ibm.mashups.enabler.DefaultLocalized, com.ibm.mashups.enabler.MetaData], {
    /**
     * Returns the base url of the skin
     * @type String
     * @return base url of the skin. can never be <code>null</code>
     * @deprecated Since 2.0. Use ThemeModel/ResourceLocator findResourceURL instead
     */
    getBaseUrl: function(){
    },
    
    /**
     * Returns an image which can be used for preview urls
     * @type String
     * @return url to an image; may be <code>null</code>
     * @deprecated Use getPreviewURL instead.
     */
    getPreviewUrl: function(){
    },
    
    /**
     * Returns an image which can be used for preview urls
     * @return {String} url to an image; may be <code>null</code>
     */
    getPreviewURL: function(){
    }
});
