/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.enabler.user.User");

dojo.require("com.ibm.mashups.enabler.user.Entity");
//<INTERFACE>
/**
 * Interface representing a user
 * @ibm-api
 * @ibm-module UserModel
 */
dojo.declare("com.ibm.mashups.enabler.user.User", [com.ibm.mashups.enabler.user.Entity], {
    /**
     * Returns the user LDAP principalName attribute
     * @type String
     * @return the login name; may be <code>null</code>.
     */
    getLoginName: function(){
    },
    
    /**
     * Returns the user LDAP SN attribute
     * @type String
     * @return the value of the SN attribute; may be <code>null</code>.
     */
    getSN: function(){
    },
    
    /**
     * Returns a String representation of the user's email
     * @type String
     * @return the user's email; may be <code>null</code>.
     */
    getEmail: function(){
    },
    
    /**
     * Sets the value for the attribute identified by the specified name.
     * @param {String} name     name of attribute to set the value for; must not be <code>null</null>
     * @param {String} value    attribute value to set; must not be <code>null</null>
     * @return {String} the former value for the name; if none existed, <code>null</code> is returned
     */
    setAttribute: function(name, value){
    },
    
    /**
     * Removes the attribute identified with the specified name.
     * @param{String} name  name of attribute to remove; must not be <code>null</null>
     * @return {String} the former value for the name; if none existed, <code>null</code> is returned
     */
    removeAttribute: function(name){
    }
});
//</INTERFACE>
dojo.require("com.ibm.mm.enabler.user.UserImpl");
