/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.iwidget.services.PersistentAttributesFactoryService");

//<INTERFACE>
/**
 * @private
 * @ibm-module iWidget2
 */
dojo.declare("com.ibm.mashups.iwidget.services.PersistentAttributesFactoryService",null,  {
	
	/**
	 * TODO make this public at some point, ServiceManager documentation says it should be there
	 * 
	 * @private
	 */
	SERVICE_NAME : "persistentAttributesFactoryService",
	
    /**
     * Creates persistent attributes for the specified widget by honoring the current persistence mode (e.g. DOM vs. WidgetModel).
     * The factory for the current persistence mode needs to be added to this service by using the <tt>addFactory</tt> method of this class.
     * 
     * @param {com.ibm.mashups.iwidget.widget.IWidgetWrapper} widget the widget for which to create the persistent attributes
     * @return {ManagedItemSet} an itemset for the specified widget using the according factory or <tt>null</tt> if no factory is available for the current mode.
     */
    createPersistentAttributes: function(widgetWrapper, contextAndCallback) {
        
    },
    /**
     * Sets the factory for the specified persistenceMode to this service.
     * @param {String} persistenceMode the mode that is supported by the specified factory
     * @param {com.ibm.mashups.iwidget.services.PersistentAttributesFactory} factory the factory that creates the attributes.
     * @return {void}
     */
    setFactory: function(persistenceMode, factory) {
        
    },
    
    /**
    * Removes a factory for a specified persistence mode.
    * 
    * @param {String} persistenceMode the mode to remove
    * 
    * TODO make this public at some time
    * @private
    */
   removeFactory: function(persistenceMode) {
   	
   }    
});

com.ibm.mashups.iwidget.services.PersistentAttributesFactoryService.SERVICE_NAME = com.ibm.mashups.iwidget.services.PersistentAttributesFactoryService.prototype.SERVICE_NAME;
//</INTERFACE>

dojo.require("com.ibm.mm.iwidget.services.PersistentAttributesFactoryServiceImpl");
