/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.iwidget.widget.ModifiableProperties");

dojo.require("com.ibm.mashups.iwidget.widget.Properties");
//<INTERFACE>
/**
 * Modifiable interface defines functions to iterates , updates and persist Properties.
 * @ibm-spi
 * @ibm-module iWidget2
 */
dojo.declare("com.ibm.mashups.iwidget.widget.ModifiableProperties", [com.ibm.mashups.iwidget.widget.Properties], {
    /**
     * @private
     */
    constructor: function() {
    },
    /**
     * This method creates or overwrites the value of the required item
     * @param{String}itemName name of the item. Must never be NULL.
     * @param{String} itemValue value of the item. Must never be NULL.
     * @param{Boolean} readOnly whether the item value is read only (on this level).
     * @param{String} locale the locale in which the item value is
     * @return{com.ibm.mashups.iwidget.widget.Properties} return an handle of InstanceProperties upon successful, NULL upon failure.
     */
    setItemValue: function(itemName, itemValue, readOnly, locale) {
    },
    /**
     * Removes the named item from the set.
     * @param{String} itemName name of the item that should be removed.Must never be NULL.
     * @return{com.ibm.mashups.iwidget.widget.Properties} return an handle of InstanceProperties upon successful, NULL upon failure..
     */
    removeItem: function(itemName) {
        //summary:This method sets an value of an iDescriptor item
    },
    /**
     * Removes the specified item value with the given locale.
     * @param{String} itemName the name of the item for which to remove the value.
     * @param{String} locale the locale of the value to remove. Must never be NULL
     * @return{void}
     */
    removeItemValue: function(itemName, locale) {
    }
});
//</INTERFACE>
dojo.require("com.ibm.mm.iwidget.widget.ModifiablePropertiesImpl");
