/* Copyright IBM Corp. 2015  All Rights Reserved.                    */
dojo.provide("com.ibm.mashups.livetext.Exception");

/**
  * This API defines the exception which can be thrown by the semantic services during the parsing and processing
  *    
  * An exceptionId should identify the current exception. It is a 7 character long string which uniquely identifies the 
  * current abnormal condition of the parsing and processing. <p />   
  * 
  * @ibm-api
  * @ibm-module iWidget
  */ 
dojo.declare("com.ibm.mashups.livetext.Exception", null,
{

	/**
    * Create new instance of livetext service exception. <p />
    *
    * @param {String} exceptionId The exception identifier. Must not be <code>null</code>.
 	* @param {Object} variable The list of the parameters to describe this error condition. May be <code>null</code>. This object must hold all the necessary 
 	* values to populate the exception message.  For example, a message may be defined as the following: <p />
 	*
 	* &nbsp;&nbsp;&nbsp;&nbsp;"The node ${id} does not have the necessary attribute ${attribute} or the attribute has unrecongnized values." <p/>
 	* When an exception is throw, the variable object should have members namded "id" and "attribute" respectively. Here is an example of such object <p />
 	*
 	* &nbsp;&nbsp;&nbsp;&nbsp;throw new com.ibm.mashups.livetext.exception('E000001', {'id':100, 'attribute':'DeJaWu'});
	*/ 
	constructor: function(/* String */exceptionId, /* Object */ variable) {
	},
						   
	/**
	* Retrieve locale specific description by using the status code. This method should not cause any exception. If 
	* no locale specific message is found, then an empty string will be returned. 
 	* @param {String[]} locales The list of the locales which the locale specific error should be looked up. May be <code>null</code>.
 	* @returns {String} The locale specific exception message.
 	*/			
	getMessage: function(/* String[] */ locales) {					   
	}
});
